#ifndef LIBMOLFILE_PLUGIN_H
#define LIBMOLFILE_PLUGIN_H
#include "vmdplugin.h"

#ifdef __cplusplus
extern "C" {
#endif

extern int molfile_cpmdplugin_init(void);
extern int molfile_cpmdplugin_register(void *, vmdplugin_register_cb);
extern int molfile_cpmdplugin_fini(void);
extern int molfile_psfplugin_init(void);
extern int molfile_psfplugin_register(void *, vmdplugin_register_cb);
extern int molfile_psfplugin_fini(void);
extern int molfile_pdbplugin_init(void);
extern int molfile_pdbplugin_register(void *, vmdplugin_register_cb);
extern int molfile_pdbplugin_fini(void);
extern int molfile_dcdplugin_init(void);
extern int molfile_dcdplugin_register(void *, vmdplugin_register_cb);
extern int molfile_dcdplugin_fini(void);
extern int molfile_babelplugin_init(void);
extern int molfile_babelplugin_register(void *, vmdplugin_register_cb);
extern int molfile_babelplugin_fini(void);
extern int molfile_gromacsplugin_init(void);
extern int molfile_gromacsplugin_register(void *, vmdplugin_register_cb);
extern int molfile_gromacsplugin_fini(void);
extern int molfile_parmplugin_init(void);
extern int molfile_parmplugin_register(void *, vmdplugin_register_cb);
extern int molfile_parmplugin_fini(void);
extern int molfile_crdplugin_init(void);
extern int molfile_crdplugin_register(void *, vmdplugin_register_cb);
extern int molfile_crdplugin_fini(void);
extern int molfile_namdbinplugin_init(void);
extern int molfile_namdbinplugin_register(void *, vmdplugin_register_cb);
extern int molfile_namdbinplugin_fini(void);
extern int molfile_binposplugin_init(void);
extern int molfile_binposplugin_register(void *, vmdplugin_register_cb);
extern int molfile_binposplugin_fini(void);
extern int molfile_webpdbplugin_init(void);
extern int molfile_webpdbplugin_register(void *, vmdplugin_register_cb);
extern int molfile_webpdbplugin_fini(void);
extern int molfile_graspplugin_init(void);
extern int molfile_graspplugin_register(void *, vmdplugin_register_cb);
extern int molfile_graspplugin_fini(void);
extern int molfile_stlplugin_init(void);
extern int molfile_stlplugin_register(void *, vmdplugin_register_cb);
extern int molfile_stlplugin_fini(void);
extern int molfile_cubeplugin_init(void);
extern int molfile_cubeplugin_register(void *, vmdplugin_register_cb);
extern int molfile_cubeplugin_fini(void);
extern int molfile_edmplugin_init(void);
extern int molfile_edmplugin_register(void *, vmdplugin_register_cb);
extern int molfile_edmplugin_fini(void);
extern int molfile_ccp4plugin_init(void);
extern int molfile_ccp4plugin_register(void *, vmdplugin_register_cb);
extern int molfile_ccp4plugin_fini(void);
extern int molfile_dsn6plugin_init(void);
extern int molfile_dsn6plugin_register(void *, vmdplugin_register_cb);
extern int molfile_dsn6plugin_fini(void);
extern int molfile_brixplugin_init(void);
extern int molfile_brixplugin_register(void *, vmdplugin_register_cb);
extern int molfile_brixplugin_fini(void);
extern int molfile_pltplugin_init(void);
extern int molfile_pltplugin_register(void *, vmdplugin_register_cb);
extern int molfile_pltplugin_fini(void);
extern int molfile_raster3dplugin_init(void);
extern int molfile_raster3dplugin_register(void *, vmdplugin_register_cb);
extern int molfile_raster3dplugin_fini(void);
extern int molfile_parm7plugin_init(void);
extern int molfile_parm7plugin_register(void *, vmdplugin_register_cb);
extern int molfile_parm7plugin_fini(void);
extern int molfile_rst7plugin_init(void);
extern int molfile_rst7plugin_register(void *, vmdplugin_register_cb);
extern int molfile_rst7plugin_fini(void);
extern int molfile_xyzplugin_init(void);
extern int molfile_xyzplugin_register(void *, vmdplugin_register_cb);
extern int molfile_xyzplugin_fini(void);
extern int molfile_corplugin_init(void);
extern int molfile_corplugin_register(void *, vmdplugin_register_cb);
extern int molfile_corplugin_fini(void);
extern int molfile_moldenplugin_init(void);
extern int molfile_moldenplugin_register(void *, vmdplugin_register_cb);
extern int molfile_moldenplugin_fini(void);
extern int molfile_phiplugin_init(void);
extern int molfile_phiplugin_register(void *, vmdplugin_register_cb);
extern int molfile_phiplugin_fini(void);
extern int molfile_grdplugin_init(void);
extern int molfile_grdplugin_register(void *, vmdplugin_register_cb);
extern int molfile_grdplugin_fini(void);
extern int molfile_dxplugin_init(void);
extern int molfile_dxplugin_register(void *, vmdplugin_register_cb);
extern int molfile_dxplugin_fini(void);
extern int molfile_mapplugin_init(void);
extern int molfile_mapplugin_register(void *, vmdplugin_register_cb);
extern int molfile_mapplugin_fini(void);
extern int molfile_avsplugin_init(void);
extern int molfile_avsplugin_register(void *, vmdplugin_register_cb);
extern int molfile_avsplugin_fini(void);

#define MOLFILE_INIT_ALL \
    molfile_cpmdplugin_init(); \
    molfile_psfplugin_init(); \
    molfile_pdbplugin_init(); \
    molfile_dcdplugin_init(); \
    molfile_babelplugin_init(); \
    molfile_gromacsplugin_init(); \
    molfile_parmplugin_init(); \
    molfile_crdplugin_init(); \
    molfile_namdbinplugin_init(); \
    molfile_binposplugin_init(); \
    molfile_webpdbplugin_init(); \
    molfile_graspplugin_init(); \
    molfile_stlplugin_init(); \
    molfile_cubeplugin_init(); \
    molfile_edmplugin_init(); \
    molfile_ccp4plugin_init(); \
    molfile_dsn6plugin_init(); \
    molfile_brixplugin_init(); \
    molfile_pltplugin_init(); \
    molfile_raster3dplugin_init(); \
    molfile_parm7plugin_init(); \
    molfile_rst7plugin_init(); \
    molfile_xyzplugin_init(); \
    molfile_corplugin_init(); \
    molfile_moldenplugin_init(); \
    molfile_phiplugin_init(); \
    molfile_grdplugin_init(); \
    molfile_dxplugin_init(); \
    molfile_mapplugin_init(); \
    molfile_avsplugin_init(); \

#define MOLFILE_REGISTER_ALL(v, cb) \
    molfile_cpmdplugin_register(v, cb); \
    molfile_psfplugin_register(v, cb); \
    molfile_pdbplugin_register(v, cb); \
    molfile_dcdplugin_register(v, cb); \
    molfile_babelplugin_register(v, cb); \
    molfile_gromacsplugin_register(v, cb); \
    molfile_parmplugin_register(v, cb); \
    molfile_crdplugin_register(v, cb); \
    molfile_namdbinplugin_register(v, cb); \
    molfile_binposplugin_register(v, cb); \
    molfile_webpdbplugin_register(v, cb); \
    molfile_graspplugin_register(v, cb); \
    molfile_stlplugin_register(v, cb); \
    molfile_cubeplugin_register(v, cb); \
    molfile_edmplugin_register(v, cb); \
    molfile_ccp4plugin_register(v, cb); \
    molfile_dsn6plugin_register(v, cb); \
    molfile_brixplugin_register(v, cb); \
    molfile_pltplugin_register(v, cb); \
    molfile_raster3dplugin_register(v, cb); \
    molfile_parm7plugin_register(v, cb); \
    molfile_rst7plugin_register(v, cb); \
    molfile_xyzplugin_register(v, cb); \
    molfile_corplugin_register(v, cb); \
    molfile_moldenplugin_register(v, cb); \
    molfile_phiplugin_register(v, cb); \
    molfile_grdplugin_register(v, cb); \
    molfile_dxplugin_register(v, cb); \
    molfile_mapplugin_register(v, cb); \
    molfile_avsplugin_register(v, cb); \

#define MOLFILE_FINI_ALL \
    molfile_cpmdplugin_fini(); \
    molfile_psfplugin_fini(); \
    molfile_pdbplugin_fini(); \
    molfile_dcdplugin_fini(); \
    molfile_babelplugin_fini(); \
    molfile_gromacsplugin_fini(); \
    molfile_parmplugin_fini(); \
    molfile_crdplugin_fini(); \
    molfile_namdbinplugin_fini(); \
    molfile_binposplugin_fini(); \
    molfile_webpdbplugin_fini(); \
    molfile_graspplugin_fini(); \
    molfile_stlplugin_fini(); \
    molfile_cubeplugin_fini(); \
    molfile_edmplugin_fini(); \
    molfile_ccp4plugin_fini(); \
    molfile_dsn6plugin_fini(); \
    molfile_brixplugin_fini(); \
    molfile_pltplugin_fini(); \
    molfile_raster3dplugin_fini(); \
    molfile_parm7plugin_fini(); \
    molfile_rst7plugin_fini(); \
    molfile_xyzplugin_fini(); \
    molfile_corplugin_fini(); \
    molfile_moldenplugin_fini(); \
    molfile_phiplugin_fini(); \
    molfile_grdplugin_fini(); \
    molfile_dxplugin_fini(); \
    molfile_mapplugin_fini(); \
    molfile_avsplugin_fini(); \

#ifdef __cplusplus
}
#endif
#endif
